GHC 7.8 and earlier compatibility